Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 13 sur 13
  1. #1
    Invité régulier
    Inscrit en
    mars 2005
    Messages
    28
    Détails du profil
    Informations forums :
    Inscription : mars 2005
    Messages : 28
    Points : 9
    Points
    9

    Par défaut Remettre la langue du système en français

    Bonjour à tous !
    Apres l'installation d'un package, toutes mes applications sont passés en langue anglaise, y compris le menu Gnome etc...
    Le fichier /etc/environment doit etre configuré comment svp ?
    Merci beaucoup !

  2. #2
    Expert Confirmé Sénior
    Avatar de mathieu
    Inscrit en
    juin 2003
    Messages
    5 038
    Détails du profil
    Informations forums :
    Inscription : juin 2003
    Messages : 5 038
    Points : 8 481
    Points
    8 481

    Par défaut

    si çà peut t'aider voilà le contenu de /etc/environment avec ma Debian

    Code :
    1
    2
    3
    LANGUAGE="fr_FR:fr:en_GB:en"
     
    LANG=fr_FR@euro
    par contre, je ne sais pas si c'est une bonne idée de modifier le fichier directement, il faudrait que tu trouves quel paquet gère ce fichier pour le reconfigurer
    PHP

  3. #3
    Invité régulier
    Inscrit en
    mars 2005
    Messages
    28
    Détails du profil
    Informations forums :
    Inscription : mars 2005
    Messages : 28
    Points : 9
    Points
    9

    Par défaut

    Oui mais quel package ?
    dpkg-reconfigure locales me balance ça :
    Code :
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
     
    perl: warning: Setting locale failed.
    perl: warning: Please check that your locale settings:
            LANGUAGE = "fr_FR",
            LC_ALL = "fr_FR",
            LANG = "fr_FR.UTF-8"
        are supported and installed on your system.
    perl: warning: Falling back to the standard locale ("C").
    locale: Cannot set LC_CTYPE to default locale: No such file or directory
    locale: Cannot set LC_MESSAGES to default locale: No such file or directory
    locale: Cannot set LC_ALL to default locale: No such file or directory
    /usr/sbin/dpkg-reconfigure: locales is broken or not fully installed

  4. #4
    Rédacteur
    Avatar de Arnaud F.
    Homme Profil pro Arnaud Feltz
    Développeur COBOL
    Inscrit en
    août 2005
    Messages
    5 183
    Détails du profil
    Informations personnelles :
    Nom : Homme Arnaud Feltz
    Âge : 27
    Localisation : France

    Informations professionnelles :
    Activité : Développeur COBOL
    Secteur : Finance

    Informations forums :
    Inscription : août 2005
    Messages : 5 183
    Points : 7 966
    Points
    7 966

    Par défaut



    Pour remédier à ton problème :
    Code :
    1
    2
    apt-get install --resintall locales
    dpkg-reconfigure locales
    ++
    C'est par l'adresse que vaut le bûcheron, bien plus que par la force. Homère

    Installation de Code::Blocks sous Debian à partir de Nightly Builds

  5. #5
    Invité régulier
    Inscrit en
    mars 2005
    Messages
    28
    Détails du profil
    Informations forums :
    Inscription : mars 2005
    Messages : 28
    Points : 9
    Points
    9

    Par défaut

    Malheureusement, ca ne fonctionne pas chez moi :

    Code :
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    Reading package lists... Done
    Building dependency tree... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
     
    Since you only requested a single operation it is extremely likely that
    the package is simply not installable and a bug report against
    that package should be filed.
    The following information may help to resolve the situation:
     
    The following packages have unmet dependencies:
      locales: Depends: glibc-2.3.6.ds1-1
    E: Broken packages

  6. #6
    Rédacteur
    Avatar de Arnaud F.
    Homme Profil pro Arnaud Feltz
    Développeur COBOL
    Inscrit en
    août 2005
    Messages
    5 183
    Détails du profil
    Informations personnelles :
    Nom : Homme Arnaud Feltz
    Âge : 27
    Localisation : France

    Informations professionnelles :
    Activité : Développeur COBOL
    Secteur : Finance

    Informations forums :
    Inscription : août 2005
    Messages : 5 183
    Points : 7 966
    Points
    7 966

    Par défaut

    Mets le contenu de ton fichier sources.list ici (situé dans /etc/apt).

    Puis tapes (des fois que):
    Code :
    1
    2
    apt-get update
    apt-get -f install
    ++
    C'est par l'adresse que vaut le bûcheron, bien plus que par la force. Homère

    Installation de Code::Blocks sous Debian à partir de Nightly Builds

  7. #7
    Invité régulier
    Inscrit en
    mars 2005
    Messages
    28
    Détails du profil
    Informations forums :
    Inscription : mars 2005
    Messages : 28
    Points : 9
    Points
    9

    Par défaut

    J'ai deja mis à jour il n'y a pas longtemps...
    Voici mon fichier sources.list :

    Code :
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
     
     deb cdrom:[Debian GNU/Linux 4.0 r1 _Etch_ - Official i386 DVD Binary-1 20070819-11:33]/ etch contrib main
     
    deb cdrom:[Debian GNU/Linux 4.0 r1 _Etch_ - Official i386 DVD Binary-1 20070819-11:33]/ etch contrib main
     
    deb http://ftp.u-strasbg.fr/debian/ etch main
    deb-src http://ftp.u-strasbg.fr/debian/ etch main
     
    deb http://security.debian.org/ etch/updates main contrib
     
    deb-src http://security.debian.org/ etch/updates main contrib

  8. #8
    Rédacteur
    Avatar de Arnaud F.
    Homme Profil pro Arnaud Feltz
    Développeur COBOL
    Inscrit en
    août 2005
    Messages
    5 183
    Détails du profil
    Informations personnelles :
    Nom : Homme Arnaud Feltz
    Âge : 27
    Localisation : France

    Informations professionnelles :
    Activité : Développeur COBOL
    Secteur : Finance

    Informations forums :
    Inscription : août 2005
    Messages : 5 183
    Points : 7 966
    Points
    7 966

    Par défaut

    Citation Envoyé par enneite Voir le message
    J'ai deja mis à jour il n'y a pas longtemps...
    Voici mon fichier sources.list :

    Code :
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
     
     deb cdrom:[Debian GNU/Linux 4.0 r1 _Etch_ - Official i386 DVD Binary-1 20070819-11:33]/ etch contrib main
     
    deb cdrom:[Debian GNU/Linux 4.0 r1 _Etch_ - Official i386 DVD Binary-1 20070819-11:33]/ etch contrib main
     
    deb http://ftp.u-strasbg.fr/debian/ etch main
    deb-src http://ftp.u-strasbg.fr/debian/ etch main
     
    deb http://security.debian.org/ etch/updates main contrib
     
    deb-src http://security.debian.org/ etch/updates main contrib
    Il faut faire un update avant chaque installation de préférences

    Pour ton cas, apparemment, c'est le paquet libc6 qui pose problème, essai donc de faire :
    Code :
    apt-get install --reinstall libc6-dev --reinstall
    pour voir

    ++
    C'est par l'adresse que vaut le bûcheron, bien plus que par la force. Homère

    Installation de Code::Blocks sous Debian à partir de Nightly Builds

  9. #9
    Invité régulier
    Inscrit en
    mars 2005
    Messages
    28
    Détails du profil
    Informations forums :
    Inscription : mars 2005
    Messages : 28
    Points : 9
    Points
    9

    Par défaut

    Toujours un soucis de dependances :

    Code :
    1
    2
    The following packages have unmet dependencies:
      libc6-dev: Depends: libc6 (= 2.3.6.ds1-13etch2) but 2.6.1-6 is to be installedE: Broken packages
    Pourtant libc6 est bien installé !

  10. #10
    Rédacteur
    Avatar de Arnaud F.
    Homme Profil pro Arnaud Feltz
    Développeur COBOL
    Inscrit en
    août 2005
    Messages
    5 183
    Détails du profil
    Informations personnelles :
    Nom : Homme Arnaud Feltz
    Âge : 27
    Localisation : France

    Informations professionnelles :
    Activité : Développeur COBOL
    Secteur : Finance

    Informations forums :
    Inscription : août 2005
    Messages : 5 183
    Points : 7 966
    Points
    7 966

    Par défaut

    En fait ton erreur à déjà fait le rapport de bug chez debian, pour y remédier, il faut bien updater ton système et installer libc6 et libc6-dev ou bien faire un -f install pour les packages cassés.

    Donc pour résumer, deux solutions :
    Code :
    1
    2
    apt-get update
    apt-get -f install

    ou bien :
    Code :
    1
    2
    apt-get update
    apt-get install libc6 libc6-dev
    ++
    C'est par l'adresse que vaut le bûcheron, bien plus que par la force. Homère

    Installation de Code::Blocks sous Debian à partir de Nightly Builds

  11. #11
    Invité régulier
    Inscrit en
    mars 2005
    Messages
    28
    Détails du profil
    Informations forums :
    Inscription : mars 2005
    Messages : 28
    Points : 9
    Points
    9

    Par défaut

    En fait je n'arrive pas installer libc6-dev :
    Error : Conflicts with the installed package 'binutils'


  12. #12
    Rédacteur
    Avatar de Arnaud F.
    Homme Profil pro Arnaud Feltz
    Développeur COBOL
    Inscrit en
    août 2005
    Messages
    5 183
    Détails du profil
    Informations personnelles :
    Nom : Homme Arnaud Feltz
    Âge : 27
    Localisation : France

    Informations professionnelles :
    Activité : Développeur COBOL
    Secteur : Finance

    Informations forums :
    Inscription : août 2005
    Messages : 5 183
    Points : 7 966
    Points
    7 966

    Par défaut

    T'en à peut être pas besoin...

    La réponse au rapport de bug de la personne qui a le même problème que toi :
    glibc-2.3.6.ds1-1 is provided by libc6 version 2.3.6.ds1-4 which is both in testing and in unstable. So please run "apt-get update" to update your system or "apt-get install -f" if you have broken the dependencies on your system.
    Donc si ça ne marche pas, je ne vois pas vraiment pas comment t'aider

    ++
    C'est par l'adresse que vaut le bûcheron, bien plus que par la force. Homère

    Installation de Code::Blocks sous Debian à partir de Nightly Builds

  13. #13
    Nouveau Membre du Club
    Inscrit en
    septembre 2007
    Messages
    48
    Détails du profil
    Informations forums :
    Inscription : septembre 2007
    Messages : 48
    Points : 36
    Points
    36

    Par défaut

    Tiens tiens, j'ai le même probleme mais sur une Debian sid.
    http://www.developpez.net/forums/sho...d.php?t=443350

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •